version: '2'
services:
  fpm:
    image: dev-activity-person-report
    links:
      - db
      - redis
      - logstash:gelf
    environment:
      - ADMIN_PASSWORD=admin
# add a link to custom.yml if needed
#    volumes:
#      - /tmp/custom.yml:/var/www/chill/app/config/custom.yml
  redis:
    image: redis
  db:
    image: chill/database
  logstash:
    image: logstash
    command: logstash -e 'input { gelf { } } output {  stdout{ } }'
    expose:
      - "12201/udp"
    volumes:
      - /var/log/logstash
  nginx:
    image: nginx
    links:
      - fpm
    volumes: 
      - ./nginx.conf:/etc/nginx/nginx.conf
    volumes_from:
      - fpm:ro
    ports:
      - 8080:80

